Benutzer-Werkzeuge

Webseiten-Werkzeuge


kas

Unterschiede

Hier werden die Unterschiede zwischen zwei Versionen angezeigt.

Link zu dieser Vergleichsansicht

Beide Seiten der vorigen Revision Vorhergehende Überarbeitung
Nächste Überarbeitung
Vorhergehende Überarbeitung
kas [2018/12/07 06:19]
olli [Changelog]
kas [2019/01/21 16:03] (aktuell)
olli [PHP]
Zeile 68: Zeile 68:
  
 <WRAP round info> <WRAP round info>
-PHP 7.2 wird nur noch als CGI-Modul und nicht mehr als Apache-Modul angeboten. Die neuste als Apachemodul verfügbare Version ist 7.1. Das Apache-Modul wird im KAS als "​veraltet"​ gekennzeichnet und soll in Zukunft komplett entfallen. Die Beschränkungen hinsichtlich ''​max_execution_time''​ und ''​memory_limit''​ sind für Apache- und CGI-Module gleich (Stand November 2018). ​+PHP 7.2 (und aufwärts) ​wird nur noch als CGI-Modul und nicht mehr als Apache-Modul angeboten. Die neuste als Apachemodul verfügbare Version ist 7.1. Das Apache-Modul wird im KAS als "​veraltet"​ gekennzeichnet und soll in Zukunft komplett entfallen. Die Beschränkungen hinsichtlich ''​max_execution_time''​ und ''​memory_limit''​ sind für Apache- und CGI-Module gleich (Stand November 2018). ​
 </​WRAP>​ </​WRAP>​
 ==== Per Domain/​Subdomain ==== ==== Per Domain/​Subdomain ====
Zeile 75: Zeile 75:
 ^Eintrag in .htacccess ^ Bedeutung^ ​ ^Eintrag in .htacccess ^ Bedeutung^ ​
 |kein Eintrag| PHP als Apache-Modul| |kein Eintrag| PHP als Apache-Modul|
 +|''​AddHandler php73-cgi .php''​ |PHP 7.3.x als CGI|
 |''​AddHandler php72-cgi .php''​ |PHP 7.2.x als CGI| |''​AddHandler php72-cgi .php''​ |PHP 7.2.x als CGI|
 |''​AddHandler php71-cgi .php''​ |PHP 7.1.x als CGI| |''​AddHandler php71-cgi .php''​ |PHP 7.1.x als CGI|
 |''​AddHandler php70-cgi .php''​ |PHP 7.0.x als CGI| |''​AddHandler php70-cgi .php''​ |PHP 7.0.x als CGI|
 |''​AddHandler php56-cgi .php''​ |PHP 5.6.x als CGI| |''​AddHandler php56-cgi .php''​ |PHP 5.6.x als CGI|
-|''​AddHandler php55-cgi .php''​ |PHP 5.5.x als CGI| +|''​AddHandler php55-cgi .php''​ |PHP 5.5.x als CGI (veraltet)
-|''​AddHandler php54-cgi .php''​ |PHP 5.4.x als CGI| +|''​AddHandler php54-cgi .php''​ |PHP 5.4.x als CGI (veraltet)
-|''​AddHandler php53-cgi .php''​ |PHP 5.3.x als CGI| +|''​AddHandler php53-cgi .php''​ |PHP 5.3.x als CGI (veraltet)
-|''​AddHandler php52-cgi .php''​ |PHP 5.2.x als CGI| +|''​AddHandler php52-cgi .php''​ |PHP 5.2.x als CGI (veraltet)
-|''​AddHandler php5-cgi .php''​ |PHP als CGI, Version entsprechend dem Apache-Modul| /* Quelle: ​ http://​all-inkl.com/​wichtig/​faq/#​faq_software*/ ​+|''​AddHandler php5-cgi .php''​ |PHP als CGI, Version entsprechend dem Apache-Modul ​(veraltet)| /* Quelle: ​ http://​all-inkl.com/​wichtig/​faq/#​faq_software*/ ​
  
  
Zeile 89: Zeile 90:
 /* Quelle: ​ Link auf der KAS-Startseite (wenn eingeloggt) */ /* Quelle: ​ Link auf der KAS-Startseite (wenn eingeloggt) */
 ^Dateieindung ^Bedeutung^ ^Dateieindung ^Bedeutung^
 +|''​.php73''​ | PHP 7.3.X als CGI|
 |''​.php72''​ | PHP 7.2.X als CGI| |''​.php72''​ | PHP 7.2.X als CGI|
 |''​.php71''​ | PHP 7.1.X als CGI| |''​.php71''​ | PHP 7.1.X als CGI|
 |''​.php70''​ | PHP 7.0.X als CGI| |''​.php70''​ | PHP 7.0.X als CGI|
 |''​.php56''​ | PHP 5.6.X als CGI| |''​.php56''​ | PHP 5.6.X als CGI|
-|''​.php55''​ | PHP 5.5.X als CGI| +|''​.php55''​ | PHP 5.5.X als CGI (veraltet)
-|''​.php54''​ | PHP 5.4.X als CGI| +|''​.php54''​ | PHP 5.4.X als CGI (veraltet)
-|''​.php53''​ | PHP 5.3.X als CGI| +|''​.php53''​ | PHP 5.3.X als CGI (veraltet)
-|''​.php52''​ | PHP 5.2.X  als CGI| +|''​.php52''​ | PHP 5.2.X  als CGI (veraltet)
-|''​.phpx'' ​ | PHP als CGI, Version entsprechend dem Apache-Modul /* Quelle: ​ https://​all-inkl.com/​wichtig/​anleitungen/​skripte/​sonstiges/​per-script/​shellscripte-ausfuehren_304.html und eigene Erkenntnisse */|  +|''​.phpx'' ​ | PHP als CGI, Version entsprechend dem Apache-Modul ​(veraltet)/* Quelle: ​ https://​all-inkl.com/​wichtig/​anleitungen/​skripte/​sonstiges/​per-script/​shellscripte-ausfuehren_304.html und eigene Erkenntnisse */|  
-|''​.cgi-php''​ | PHP als CGI, Version entsprechend dem Apache-Modul /* Quelle: ​ eigene Erkenntnisse */| +|''​.cgi-php''​ | PHP als CGI, Version entsprechend dem Apache-Modul ​(veraltet) ​/* Quelle: ​ eigene Erkenntnisse */| 
  
 ==== phpMyAdmin ==== ==== phpMyAdmin ====
Zeile 198: Zeile 200:
 |25.10.18|Ankündigung,​ dass PHP 5.5 ab Januar 2019 und PHP 5.6 ab Januar 2020 nicht mehr unterstützt werden, im KAS wird eine Prüfung durchgeführt,​ PHP 7.2 wird nur noch als CGI-Modul nicht als Apache-Modul angeboten, PHP als Apache-Modul wird im KAS als veraltet gekennzeichnet| |25.10.18|Ankündigung,​ dass PHP 5.5 ab Januar 2019 und PHP 5.6 ab Januar 2020 nicht mehr unterstützt werden, im KAS wird eine Prüfung durchgeführt,​ PHP 7.2 wird nur noch als CGI-Modul nicht als Apache-Modul angeboten, PHP als Apache-Modul wird im KAS als veraltet gekennzeichnet|
 |07.12.18|Im KAS wird ein neuer Unterpunkt angezeigt. Die Beschreibung lautet: "Im Wartungscenter werden Probleme mit Bezug zu Ihrem Account angezeigt sowie Hinweise, wie diese gelöst werden könnten."​| |07.12.18|Im KAS wird ein neuer Unterpunkt angezeigt. Die Beschreibung lautet: "Im Wartungscenter werden Probleme mit Bezug zu Ihrem Account angezeigt sowie Hinweise, wie diese gelöst werden könnten."​|
 +|21.01.19|PHP 7.3 wird angeboten.|
  
  
kas.1544159955.txt.gz · Zuletzt geändert: 2018/12/07 06:19 von olli